Login
Newsletter
Werbung

Sicherheit: Überschreiben von Dateien in X.Org
Aktuelle Meldungen Distributionen
Name: Überschreiben von Dateien in X.Org
ID: USN-3802-1
Distribution: Ubuntu
Plattformen: Ubuntu 16.04 LTS, Ubuntu 18.04 LTS, Ubuntu 18.10
Datum: Fr, 26. Oktober 2018, 17:36
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-14665
https://launchpad.net/ubuntu/+source/xorg-server-hwe-16.04/2:1.19.6-1ubuntu4.1~16.04.2
Applikationen: X11

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--===============0237705568903391629==
Content-Type: multipart/signed; micalg=pgp-sha512;
protocol="application/pgp-signature";
boundary="ZMKlH5Li2x3LniPQZMY3DSrx1TuJXzsBd"

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--ZMKlH5Li2x3LniPQZMY3DSrx1TuJXzsBd
Content-Type: multipart/mixed;
boundary="FDdcyF1mvM6gthzR49bIniHZgjHfV63TY";
protected-headers="v1"
From: Marc Deslauriers <marc.deslauriers@canonical.com>
Reply-To: Ubuntu Security <security@ubuntu.com>
To: ubuntu-security-announce@lists.ubuntu.com
Message-ID: <f5d5a7c8-8be6-de63-ac23-ec3a02ca20de@canonical.com>
Subject: [USN-3802-1] X.Org X server vulnerability

--FDdcyF1mvM6gthzR49bIniHZgjHfV63TY
Content-Type: text/plain; charset=utf-8
Content-Language: en-C
Content-Transfer-Encoding: quoted-printable

==========================================================================
Ubuntu Security Notice USN-3802-1
October 26, 2018

xorg-server, xorg-server-hwe-16.04 vulnerability
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 18.10
- Ubuntu 18.04 LTS
- Ubuntu 16.04 LTS

Summary:

X.Org X server could be made to overwrite files as the administrator.

Software Description:
- xorg-server: X.Org X11 server
- xorg-server-hwe-16.04: X.Org X11 server

Details:

Narendra Shinde discovered that the X.Org X server incorrectly handled
certain command line parameters when running as root with the legacy
wrapper. When certain graphics drivers are being used, a local attacker
could possibly use this issue to overwrite arbitrary files and escalate
privileges.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 18.10:
xserver-xorg-core 2:1.20.1-3ubuntu2.1

Ubuntu 18.04 LTS:
xserver-xorg-core 2:1.19.6-1ubuntu4.2

Ubuntu 16.04 LTS:
xserver-xorg-core-hwe-16.04 2:1.19.6-1ubuntu4.1~16.04.2

After a standard system update you need to reboot your computer to make
all the necessary changes.

References:
https://usn.ubuntu.com/usn/usn-3802-1
CVE-2018-14665

Package Information:
https://launchpad.net/ubuntu/+source/xorg-server/2:1.20.1-3ubuntu2.1
https://launchpad.net/ubuntu/+source/xorg-server/2:1.19.6-1ubuntu4.2

https://launchpad.net/ubuntu/+source/xorg-server-hwe-16.04/2:1.19.6-1ubuntu4.1~16.04.2


--FDdcyF1mvM6gthzR49bIniHZgjHfV63TY--

--ZMKlH5Li2x3LniPQZMY3DSrx1TuJXzsBd
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEUMSg3c8x5FLOsZtRZWnYVadEvpMFAlvTLM8ACgkQZWnYVadE
vpOb9g/7B5Q+d1t2fO6pW4afdsgQZBVA768HdpTXAVwE4tnaDecqrqgHuBNTqV0S
/fsQa93r1fhLcG3tEemsZZC7NkyJ+GodCQwokB9+bbTcg/FChQRw0CoW8+5v96+K
hVMEAjWuaAeUg92UP/+1nUqYai5ACGINCv5jOMhXk0EEvaaIuPyNoT2kO6tzeC0A
HsJQccoB2PBroLKlG2QHX7tdSsIhgr3HQo/8reuelzrKeTMav5ULjQVnjHowq4mm
5ryXNWQ+u7keWnFpmJG9DwMYPjYYa07WTWG0iN8D792cQY70UaiStKgG8drt06T1
bN1GbWH/lqkrotaLbTuQcabW5vA6AMlulhUJBfs44JJ/fG28owgahdyx6eDRKru1
VZiIrNmUiPhsNFjkVkrrEQXHJymnbMRxyJ0wcIvQLTAJHSUlG+OezpZAxDEoCU+m
29zYIm4HC5Ii+QNsHNzXJTTclayPln3OOIXpL+RjGNMbeMy+B2aRa3c0UTxmPiXc
7Hno7HyURwFgx3znSjL1Pv+Y4Um1JBCnnNXqIO2uYgBb6UKoKVjPG2sdzjNQs1mG
rWnfAoiDx6+1pHdjSEEdmEJOyayIXVIHcC3riU+o22cdkceEo0tsYTT5VIWrw0Xq
HKGhMKmrHkj5K/MatpN3kueqRpHYrKnVmpkj7e/sMPE5JkRLXLg=
=4UWW
-----END PGP SIGNATURE-----

--ZMKlH5Li2x3LniPQZMY3DSrx1TuJXzsBd--


--===============0237705568903391629==
Content-Type: text/plain; charset="utf-8"
MIME-Version: 1.0
Content-Transfer-Encoding: base64
Content-Disposition: inline

LS0gCnVidW50dS1zZWN1cml0eS1hbm5vdW5jZSBtYWlsaW5nIGxpc3QKdWJ1bnR1LXNlY3VyaXR5
LWFubm91bmNlQGxpc3RzLnVidW50dS5jb20KTW9kaWZ5IHNldHRpbmdzIG9yIHVuc3Vic2NyaWJl
IGF0OiBodHRwczovL2xpc3RzLnVidW50dS5jb20vbWFpbG1hbi9saXN0aW5mby91YnVudHUtc2Vj
dXJpdHktYW5ub3VuY2UK

--===============0237705568903391629==--
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung